Subject: Re: [PATCH 0/6] net: ethernet: efct Add x3 ethernet driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 10 Feb 2023 11:22:02 -0800

On Fri, 10 Feb 2023 18:33:15 +0530 Harsh Jain wrote:
> This patch series adds new ethernet network driver for Alveo X3522[1].
> X3 is a low-latency NIC with an aim to deliver the lowest possible
> latency. It accelerates a range of diverse trading strategies
> and financial applications.

Please get this reviewed by people within AMD who know something 
about netdev. Ed, Martin, Alejandro, etc.. This driver seems to 
share similarities with SFC and you haven't even CCed them.

This pile a 23kLoC has the same issues the community has been 
raising in reviews of other drivers from your organization.
We don't have the resources to be engaging with badly behaving,
throw-the-code-over-the-wall-open-source vendors.